Class: Sketchup::ConstructionPoint

Inherits:
Drawingelement show all

Overview

A construction point represents a point in the model that can be used to aid in other modeling operations. For example, you may put a construction point at the center of a circle to make it easier to locate that point for performing other operations.

Version:

  • SketchUp 6.0

Instance Method Summary # collapse

  • #position ⇒ Object

    The position method is used to retrieve a Point3d used to create a construction point.

Methods inherited from Drawingelement

#bounds, #casts_shadows=, #casts_shadows?, #erase!, #hidden=, #hidden?, #layer, #layer=, #material, #material=, #receives_shadows=, #receives_shadows?, #visible=, #visible?

Methods inherited from Entity

#add_observer, #attribute_dictionaries, #attribute_dictionary, #delete_attribute, #deleted?, #entityID, #get_attribute, #inspect, #model, #parent, #persistent_id, #remove_observer, #set_attribute, #to_s, #typename, #valid?

Instance Method Details

#positionObject

The position method is used to retrieve a Point3d used to create a construction point.

Examples:

model = Sketchup.active_model
entities = model.active_entities
point1 = Geom::Point3d.new(10,0,0)
constpoint = entities.add_cpoint point1
# Returns 10,0,0
position = constpoint.position

Returns:

  • point - the Point3d object used to create the ConstructionPoint

Version:

  • SketchUp 6.0